/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.publisher.web.util;

import com.liferay.asset.kernel.service.persistence.AssetEntryQuery;
import com.liferay.asset.util.AssetEntryQueryProcessor;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Pavel Savinov
 */
public interface AssetPublisherCustomizer {

	public Integer getDelta(HttpServletRequest request);

	public String getPortletId();

	public boolean isEnablePermissions(HttpServletRequest request);

	public boolean isOrderingAndGroupingEnabled(HttpServletRequest request);

	public boolean isOrderingByTitleEnabled(HttpServletRequest request);

	public boolean isSelectionStyleEnabled(HttpServletRequest request);

	public boolean isShowAssetEntryQueryProcessor(
		AssetEntryQueryProcessor assetEntryQueryProcessor);

	public boolean isShowEnableAddContentButton(HttpServletRequest request);

	public boolean isShowEnableRelatedAssets(HttpServletRequest request);

	public boolean isShowScopeSelector(HttpServletRequest request);

	public boolean isShowSubtypeFieldsFilter(HttpServletRequest request);

	public void setAssetEntryQueryOptions(
		AssetEntryQuery assetEntryQuery, HttpServletRequest request);

}