/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.publisher.web.util;

import com.liferay.rss.export.RSSExporter;
import com.liferay.rss.model.SyndFeed;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Matthew Tambara
 */
@Component(immediate = true)
public class RSSExporterUtil {

	public static String export(SyndFeed syndFeed) {
		return _rssExporter.export(syndFeed);
	}

	@Reference(unbind = "-")
	protected void setRSSExporter(RSSExporter rssExporter) {
		_rssExporter = rssExporter;
	}

	private static RSSExporter _rssExporter;

}